Add a member
POST
/api/orgs/{org}/members
const url = 'https://api.wrktr.com/api/orgs/example/members';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"example","role":"owner"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.wrktr.com/api/orgs/example/members \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "example", "role": "owner" }'Owners only. Someone with an account joins at once; anyone else is invited, and joins when they first sign in with that email.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”org
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
email
required
string
role
required
string
Responses
Section titled “Responses”AddMemberResult
Media typeapplication/json
object
outcome
required
string
Example
{ "outcome": "added"}Unauthorized
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "Unauthorized"}Forbidden
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "Forbidden"}OrgNotFound
Media typeapplication/json
object
_tag
required
string
org
required
string
Example
{ "_tag": "OrgNotFound"}InvalidInput
Media typeapplication/json
object
_tag
required
string
message
required
string
Example
{ "_tag": "InvalidInput"}